<!DOCTYPE html>
<html>
  <head>
    <title>{% block title %}{% endblock %}</title>
    <link
      rel="stylesheet"
      href="{{ url_for('static', filename='FinalCSS.css') }}"
    />
  </head>
  <body>
    <!-- Header -->
    <header class="header">
      <h1>Book Collection</h1>
      {% include 'navigation.html' %}
    </header>

    <!-- Main content -->
    <main>
      {% with messages = get_flashed_messages() %} {% if messages %}
      <ul class="flashes">
        {% for message in messages %}
        <li>{{ message }}</li>
        {% endfor %}
      </ul>
      {% endif %} {% endwith %}
      <div class="main--content">{% block content %}{% endblock %}</div>
    </main>

    <!-- Footer -->
    <footer>
      <p>© 2023 Book Collection | All Rights Reserved.</p>
    </footer>
  </body>
</html>
